Index: src/Actions/WorldAction/AddEmptyBoundaryAction.cpp
===================================================================
--- src/Actions/WorldAction/AddEmptyBoundaryAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
+++ src/Actions/WorldAction/AddEmptyBoundaryAction.cpp	(revision f10b0c73d4fb0ce5aaebc2bd886b4e6fad639dd0)
@@ -77,5 +77,5 @@
     for (int i=0;i<NDIM;i++) {
       j += i+1;
-      cell_size[j] = (Max[i]-Min[i]+2.*params.boundary[i]);
+      cell_size[j] = (Max[i]-Min[i]+2.*params.boundary.get()[i]);
     }
     World::getInstance().setDomain(cell_size);
@@ -86,5 +86,5 @@
         AtomRunner != AllAtoms.end();
         ++AtomRunner)
-      *(*AtomRunner) -= Min - params.boundary;
+      *(*AtomRunner) -= Min - params.boundary.get();
 
     // give final box size
@@ -125,5 +125,5 @@
       AtomRunner != AllAtoms.end();
       ++AtomRunner)
-    *(*AtomRunner) += state->Min - state->params.boundary;
+    *(*AtomRunner) += state->Min - state->params.boundary.get();
 
   return Action::state_ptr(_state);
@@ -143,5 +143,5 @@
       AtomRunner != AllAtoms.end();
       ++AtomRunner)
-    *(*AtomRunner) -= state->Min - state->params.boundary;
+    *(*AtomRunner) -= state->Min - state->params.boundary.get();
 
   return Action::state_ptr(_state);
Index: src/Actions/WorldAction/CenterInBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/CenterInBoxAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
+++ src/Actions/WorldAction/CenterInBoxAction.cpp	(revision f10b0c73d4fb0ce5aaebc2bd886b4e6fad639dd0)
@@ -69,5 +69,5 @@
 
   // set new domain
-  World::getInstance().setDomain(params.cell_size.getM());
+  World::getInstance().setDomain(params.cell_size.get().getM());
 
   // center atoms
@@ -125,5 +125,5 @@
 
   // set new domain
-  World::getInstance().setDomain(state->params.cell_size.getM());
+  World::getInstance().setDomain(state->params.cell_size.get().getM());
 
   // center atoms
Index: src/Actions/WorldAction/ChangeBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/ChangeBoxAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
+++ src/Actions/WorldAction/ChangeBoxAction.cpp	(revision f10b0c73d4fb0ce5aaebc2bd886b4e6fad639dd0)
@@ -50,5 +50,5 @@
   oa << matrix;
 
-  World::getInstance().setDomain(params.cell_size.getM()); // this is needed as only this function is OBSERVEd.
+  World::getInstance().setDomain(params.cell_size.get().getM()); // this is needed as only this function is OBSERVEd.
 
   // give final box size
@@ -82,5 +82,5 @@
 
 Action::state_ptr WorldChangeBoxAction::performRedo(Action::state_ptr _state){
-  World::getInstance().setDomain(params.cell_size.getM()); // this is needed as only this function is OBSERVEd.
+  World::getInstance().setDomain(params.cell_size.get().getM()); // this is needed as only this function is OBSERVEd.
 
   // give final box size
Index: src/Actions/WorldAction/InputAction.cpp
===================================================================
--- src/Actions/WorldAction/InputAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
+++ src/Actions/WorldAction/InputAction.cpp	(revision f10b0c73d4fb0ce5aaebc2bd886b4e6fad639dd0)
@@ -46,16 +46,16 @@
   FormatParserStorage &parsers = FormatParserStorage::getInstance();
 
-  LOG(0, "Config file given " << params.filename << ".");
+  LOG(0, "Config file given " << params.filename.get() << ".");
   // using the filename as prefix for all parsers
   std::string FilenameSuffix;
   std::string FilenamePrefix;
-  if (params.filename.has_filename()) {
+  if (params.filename.get().has_filename()) {
     // get suffix
 #if BOOST_VERSION >= 104600
-    FilenameSuffix = params.filename.extension().string().substr(1); // remove the prefixed "."
-    FilenamePrefix = params.filename.stem().string();
+    FilenameSuffix = params.filename.get().extension().string().substr(1); // remove the prefixed "."
+    FilenamePrefix = params.filename.get().stem().string();
 #else
-    FilenameSuffix = params.filename.extension().substr(1); // remove the prefixed "."
-    FilenamePrefix = params.filename.stem();
+    FilenameSuffix = params.filename.get().extension().substr(1); // remove the prefixed "."
+    FilenamePrefix = params.filename.get().stem();
 #endif
     LOG(1, "Setting config file name prefix to " << FilenamePrefix << ".");
@@ -67,6 +67,6 @@
 
   // parsing file if present
-  if (!boost::filesystem::exists(params.filename)) {
-    LOG(1, "Specified config file " << params.filename << " not found.");
+  if (!boost::filesystem::exists(params.filename.get())) {
+    LOG(1, "Specified config file " << params.filename.get() << " not found.");
     // DONT FAIL: it's just empty and we use the name. // return Action::failure;
     // nonetheless, add to output formats
@@ -76,5 +76,5 @@
 
     // parse the file
-    test.open(params.filename);
+    test.open(params.filename.get());
     parsers.load(test, FilenameSuffix);
     parsers.setOutputFormat( parsers.getTypeFromSuffix(FilenameSuffix) );
Index: src/Actions/WorldAction/OutputAction.cpp
===================================================================
--- src/Actions/WorldAction/OutputAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
+++ src/Actions/WorldAction/OutputAction.cpp	(revision f10b0c73d4fb0ce5aaebc2bd886b4e6fad639dd0)
@@ -39,17 +39,17 @@
 /** =========== define the function ====================== */
 Action::state_ptr WorldOutputAction::performCall() {
-  LOG(1, "Storing world to file " << params.filename << ".");
+  LOG(1, "Storing world to file " << params.filename.get() << ".");
 
   // extract suffix
   std::string FilenameSuffix;
   std::string FilenamePrefix;
-  if (params.filename.has_filename()) {
+  if (params.filename.get().has_filename()) {
     // get suffix
 #if BOOST_VERSION >= 104600
-    FilenameSuffix = params.filename.extension().string().substr(1); // remove the prefixed "."
-    FilenamePrefix = params.filename.stem().string();
+    FilenameSuffix = params.filename.get().extension().string().substr(1); // remove the prefixed "."
+    FilenamePrefix = params.filename.get().stem().string();
 #else
-    FilenameSuffix = params.filename.extension().substr(1); // remove the prefixed "."
-    FilenamePrefix = params.filename.stem();
+    FilenameSuffix = params.filename.get().extension().substr(1); // remove the prefixed "."
+    FilenamePrefix = params.filename.get().stem();
 #endif
   } else {
@@ -61,9 +61,9 @@
   // parse the file
   boost::filesystem::ofstream output;
-  output.open(params.filename);
+  output.open(params.filename.get());
   if (!output.fail()) {
     FormatParserStorage::getInstance().saveWorld(output, FilenameSuffix);
   } else {
-    ELOG(1, "Could not open file " << params.filename << ".");
+    ELOG(1, "Could not open file " << params.filename.get() << ".");
   }
   output.close();
Index: src/Actions/WorldAction/RepeatBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/RepeatBoxAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
+++ src/Actions/WorldAction/RepeatBoxAction.cpp	(revision f10b0c73d4fb0ce5aaebc2bd886b4e6fad639dd0)
@@ -109,5 +109,5 @@
   WorldRepeatBoxState *undostate = new WorldRepeatBoxState(olddomain, oldmolecules, params);
 
-  repeatMoleculesinDomain(params.Repeater, AllMolecules);
+  repeatMoleculesinDomain(params.Repeater.get(), AllMolecules);
 
   // give final box size
@@ -151,5 +151,5 @@
       ++iter)
     originalmolecules.push_back(*iter);
-  repeatMoleculesinDomain(state->params.Repeater, originalmolecules);
+  repeatMoleculesinDomain(state->params.Repeater.get(), originalmolecules);
 
   // give final box size
Index: src/Actions/WorldAction/ScaleBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/ScaleBoxAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
+++ src/Actions/WorldAction/ScaleBoxAction.cpp	(revision f10b0c73d4fb0ce5aaebc2bd886b4e6fad639dd0)
@@ -44,5 +44,5 @@
   // scale atoms
   for (int i=0;i<NDIM;i++)
-    x[i] = params.Scaler[i];
+    x[i] = params.Scaler.get()[i];
   std::vector<atom*> AllAtoms = World::getInstance().getAllAtoms();
   for(std::vector<atom*>::iterator AtomRunner = AllAtoms.begin(); AtomRunner != AllAtoms.end(); ++AtomRunner) {
@@ -54,5 +54,5 @@
   RealSpaceMatrix scale;
   for (int i=0;i<NDIM;i++) {
-    scale.at(i,i) = params.Scaler[i];
+    scale.at(i,i) = params.Scaler.get()[i];
   }
   M *= scale;
@@ -74,5 +74,5 @@
   double x[NDIM];
   for (int i=0;i<NDIM;i++)
-    x[i] = 1./state->params.Scaler[i];
+    x[i] = 1./state->params.Scaler.get()[i];
   vector<atom*> AllAtoms = World::getInstance().getAllAtoms();
   for(vector<atom*>::iterator AtomRunner = AllAtoms.begin(); AtomRunner != AllAtoms.end(); ++AtomRunner) {
@@ -84,5 +84,5 @@
   RealSpaceMatrix scale;
   for (int i=0;i<NDIM;i++) {
-    scale.at(i,i) = 1./state->params.Scaler[i];
+    scale.at(i,i) = 1./state->params.Scaler.get()[i];
   }
   M *= scale;
@@ -101,5 +101,5 @@
   double x[NDIM];
   for (int i=0;i<NDIM;i++)
-    x[i] = state->params.Scaler[i];
+    x[i] = state->params.Scaler.get()[i];
   vector<atom*> AllAtoms = World::getInstance().getAllAtoms();
   for(vector<atom*>::iterator AtomRunner = AllAtoms.begin(); AtomRunner != AllAtoms.end(); ++AtomRunner) {
@@ -111,5 +111,5 @@
   RealSpaceMatrix scale;
   for (int i=0;i<NDIM;i++) {
-    scale.at(i,i) = state->params.Scaler[i];
+    scale.at(i,i) = state->params.Scaler.get()[i];
   }
   M *= scale;
Index: src/Actions/WorldAction/SetBoundaryConditionsAction.cpp
===================================================================
--- src/Actions/WorldAction/SetBoundaryConditionsAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
+++ src/Actions/WorldAction/SetBoundaryConditionsAction.cpp	(revision f10b0c73d4fb0ce5aaebc2bd886b4e6fad639dd0)
@@ -52,5 +52,5 @@
 
   // set conditions
-  World::getInstance().getDomain().setConditions(params.newconditions);
+  World::getInstance().getDomain().setConditions(params.newconditions.get());
 
   LOG(0, "STATUS: Boundary conditions are now " << World::getInstance().getDomain().getConditionNames() << ".");
@@ -72,5 +72,5 @@
 
   // set again conditions
-  World::getInstance().getDomain().setConditions(state->params.newconditions);
+  World::getInstance().getDomain().setConditions(state->params.newconditions.get());
 
   LOG(0, "STATUS: Boundary conditions are again " << World::getInstance().getDomain().getConditionNames() << ".");
Index: src/Actions/WorldAction/SetDefaultNameAction.cpp
===================================================================
--- src/Actions/WorldAction/SetDefaultNameAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
+++ src/Actions/WorldAction/SetDefaultNameAction.cpp	(revision f10b0c73d4fb0ce5aaebc2bd886b4e6fad639dd0)
@@ -40,5 +40,5 @@
   WorldSetDefaultNameState *UndoState = new WorldSetDefaultNameState(Worldsdefaultname, params);
 
-  World::getInstance().setDefaultName(params.newname);
+  World::getInstance().setDefaultName(params.newname.get());
   LOG(0, "Default name of new molecules set to " << World::getInstance().getDefaultName() << ".");
   return Action::state_ptr(UndoState);
@@ -57,5 +57,5 @@
   WorldSetDefaultNameState *state = assert_cast<WorldSetDefaultNameState*>(_state.get());
 
-  World::getInstance().setDefaultName(state->params.newname);
+  World::getInstance().setDefaultName(state->params.newname.get());
   LOG(0, "Default name of new molecules set to " << World::getInstance().getDefaultName() << ".");
 
Index: src/Actions/WorldAction/SetWorldTimeAction.cpp
===================================================================
--- src/Actions/WorldAction/SetWorldTimeAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
+++ src/Actions/WorldAction/SetWorldTimeAction.cpp	(revision f10b0c73d4fb0ce5aaebc2bd886b4e6fad639dd0)
@@ -41,5 +41,5 @@
   WorldSetWorldTimeState *UndoState = new WorldSetWorldTimeState(oldtime, params);
 
-  WorldTime::getInstance().setTime(params.newtime);
+  WorldTime::getInstance().setTime(params.newtime.get());
   LOG(0, "Current time step is now: " << WorldTime::getTime() << ".");
   return Action::state_ptr(UndoState);
@@ -58,5 +58,5 @@
   WorldSetWorldTimeState *state = assert_cast<WorldSetWorldTimeState*>(_state.get());
 
-  WorldTime::getInstance().setTime(state->params.newtime);
+  WorldTime::getInstance().setTime(state->params.newtime.get());
   LOG(0, "Current time step is now: " << WorldTime::getTime() << ".");
 
